Subject: Re: bug#27799: 26.0.50; SVG pictures in EWW: error in process filter, invalid image type 'imagemagick'

From: Jean Louis <[email-masked]>
Date: Sun, 23 Jul 2017 16:03:13 +0300

Hello,

I have compiled emacs with Imagemagick exclusively
this time.

Here is how I did it:

$ ./configure --prefix=/package/text/emacs-26.0.50 --with-sound=alsa --with-modules --with-x --with-x-toolkit=lucid --without-gconf --without-gsettings --without-libsystemd --without-dbus --without-pop --with-mailutils

Here is the debug:

Debugger entered--Lisp error: (error "Invalid image type ‘imagemagick’")
  signal(error ("Invalid image type ‘imagemagick’"))
  error("Invalid image type `%s'" imagemagick)
  eww-display-image(#<buffer *eww*>)
  url-http-activate-callback()
  url-http-content-length-after-change-function(458 1088 630)
  read-event(nil t 2)
  sit-for(2)
  execute-extended-command(nil "eww" nil)
  funcall-interactively(execute-extended-command nil "eww" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

On Sun, Jul 23, 2017 at 02:24:27PM +0200, Lars Ingebrigtsen wrote:
> [email-masked] (Jean Louis) writes:
> 
> > Recent messages:
> > For information about GNU Emacs and the GNU system, type C-h C-a.
> > Contacting host: practicaldev-herokuapp-com.global.ssl.fastly.net:443
> > error in process filter: image-type: Invalid image type ‘imagemagick’
> > error in process filter: Invalid image type ‘imagemagick’
> 
> Sounds like shr is trying to display an image with imagemagick, and your
> Emacs doesn't have imagemagick support?  Must be a missing test for
> imagemagick availability somewhere, I think.
> 
> Can you get a backtrace by setting debug-on-error to t and post the
> resulting backtrace when this error occurs?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no